#slideshow {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}

#slideshow #slide-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
}

#slideshow #slide-container img {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    object-fit: cover;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.2s ease-in-out;
}

#slideshow #slide-container img.active {
    opacity: 1;
}

#slideshow #scroll-down {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%) rotate(90deg);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 1px solid var(--border);
    background: var(--header);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

#slideshow #scroll-down:hover {
    background: var(--secondary);
}

#slideshow #scroll-down svg {
    width: 30px;
    height: 30px;
    fill: #000;
}

#header-container #controls {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    background: rgba(0, 0, 0, 0.5);
    border: 1px solid var(--border);
    border-top-color: transparent;
    backdrop-filter: blur(10px);
    transition: all 0.2s ease-in-out;
    gap: 10px;
}

#header-container.scrolled #controls {
    opacity: 0;
    top: 0%;
    pointer-events: none;
}

#header-container #prev, #header-container #next {
    font-size: 20px;
    color: #ababab;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: color 0.2s ease-in-out;
}

#header-container #prev:hover, #header-container #next:hover {
    color: #fff;
}

#header-container #prev {
    left: 20px;
}

#header-container #next {
    right: 20px;
}

#header-container #dots {
    display: flex;
    justify-content: center;
    align-items: center;
}

#header-container #dots span {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #ababab;
    margin: 5px;
    cursor: pointer;
    transition: background 0.5s ease-in-out;
}

#header-container #dots span.active {
    background: #fff;
}

#form {
    display: flex;
    padding: 20px 100px 20px;
    flex-direction: column;
    gap: 10px;
}

#form form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    font-family: Arial;
}

#form form input, #form form textarea {
    padding: 10px;
    border-radius: 10px;
    background: var(--header);
    color: var(--primary);
    font-size: 15px;
    font-weight: 700;
    border: none;
    outline: 2px solid transparent;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    transition: all 0.2s ease-in-out;
}

#form form input:focus, #form form textarea:focus {
    outline: 2px solid var(--accent);
}

#form form textarea {
    resize: none;
    height: 100px;
    font-family: inherit;
}

#form form #btn {
    padding: 10px 20px;
    border-radius: 10px;
    background: var(--button);
    border: none;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    color: var(--secondary);
    font-size: 20px;
    font-weight: 900;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

#form form #btn:hover {
    background: var(--button-hover);
}